1. Fiat Account Management
v2.1 (Production)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • v2.1
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
          GET
        • Create Fiat Account Request
          POST
        • Submit Additional Information for Fiat Account Request
          POST
        • Get Fiat Account Application Status
          GET
        • Get Bank Accounts
          GET
        • Add Bank Account
          POST
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
        • Crypto Deposit Wallet Status Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Refunding a High-Risk Crypto Deposit
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Order Accept
        • Get Checkout
        • Get Checkout History
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Get Checkout Refundable Info
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Validate Crypto Address
      • Upload File
      • getTnC
  1. Fiat Account Management

Get Bank Accounts

GET
/v2.0/crm/addressBook/bankAccount
Get list of bank accounts.
Applies to: PSP and Direct Client

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v2.0/crm/addressBook/bankAccount?participantCode=B0100348&bankAccountNumber=undefined&offset=0&limit=20' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "bankAccounts": [
            {
                "bankAccountId": "100024630",
                "participantCode": "B0100348",
                "type": 1,
                "typeOfThirdParty": null,
                "corporateCountryCode": null,
                "label": "uk-natwest",
                "bankAccountNumber": "GB29NWBK60161331926819",
                "swiftCode": "NWBKGB2LXXX",
                "bankName": "National Westminster Bank",
                "bankAddress": "250 BISHOPSGATE",
                "bankCountry": "GB",
                "bankState": "GREATER LONDON",
                "bankCity": "LONDON",
                "postCode": "EC2M 4AA",
                "routingNumber": null,
                "intermediaryBank": null,
                "relationship": null,
                "beneficiaryOfThirdParty": null,
                "createdAt": 1784043973000,
                "updatedAt": 1784043973000
            },
            {
                "bankAccountId": "100024629",
                "participantCode": "B0100348",
                "type": 1,
                "typeOfThirdParty": null,
                "corporateCountryCode": null,
                "label": "test-au2",
                "bankAccountNumber": "9922334455",
                "swiftCode": "CTBAAU2S",
                "bankName": "Commonwealth Bank",
                "bankAddress": "FLOOR 1, COMMONWEALTH BANK PLACE",
                "bankCountry": "AU",
                "bankState": "NEW SOUTH WALES",
                "bankCity": "SYDNEY",
                "postCode": "2000",
                "routingNumber": null,
                "intermediaryBank": null,
                "relationship": null,
                "beneficiaryOfThirdParty": null,
                "createdAt": 1784040523000,
                "updatedAt": 1784040523000
            },
            {
                "bankAccountId": "100024316",
                "participantCode": "B0100348",
                "type": 1,
                "typeOfThirdParty": null,
                "corporateCountryCode": null,
                "label": "first",
                "bankAccountNumber": "2223334455",
                "swiftCode": "ASSDBLKJFKL",
                "bankName": "cds",
                "bankAddress": "aaa",
                "bankCountry": "AI",
                "bankState": null,
                "bankCity": null,
                "postCode": null,
                "routingNumber": "",
                "intermediaryBank": null,
                "relationship": null,
                "beneficiaryOfThirdParty": null,
                "createdAt": 1777430262000,
                "updatedAt": 1777430262000
            },
            {
                "bankAccountId": "100024315",
                "participantCode": "B0100348",
                "type": 1,
                "typeOfThirdParty": null,
                "corporateCountryCode": null,
                "label": "first",
                "bankAccountNumber": "111222333",
                "swiftCode": "DBSXXDBDCDC",
                "bankName": "ABC",
                "bankAddress": "address",
                "bankCountry": "AF",
                "bankState": null,
                "bankCity": null,
                "postCode": null,
                "routingNumber": "",
                "intermediaryBank": null,
                "relationship": null,
                "beneficiaryOfThirdParty": null,
                "createdAt": 1777430212000,
                "updatedAt": 1777430212000
            }
        ],
        "pagination": {
            "limit": 10,
            "offset": 0,
            "total": 4,
            "hasMore": false
        }
    }
}
🟢200Success
Modified at 2026-08-05 02:00:31
Previous
Get Fiat Account Application Status
Next
Add Bank Account
Built with